Skip to main content
GET
/
api2
/
v1
/
automatedProjects
/
{settingsId}
/
monitoredFolder
/
{encodedMonitoredFolder}
/
connectors
/
{connectorId}
/
folders
/
{encodedFolder}
Returns files from monitored folder
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/automatedProjects/{settingsId}/monitoredFolder/{encodedMonitoredFolder}/connectors/{connectorId}/folders/{encodedFolder} \
  --header 'Authorization: <api-key>'
{
  "files": [
    {
      "directory": true,
      "encodedName": "<string>",
      "name": "<string>",
      "size": 123,
      "lastImportFailed": true,
      "lastModified": "2023-11-07T05:31:56Z",
      "lastSuccessfulImport": "2023-11-07T05:31:56Z",
      "uniqueIdentifier": "<string>"
    }
  ],
  "currentFolder": "<string>",
  "encodedCurrentFolder": "<string>",
  "rootFolder": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

settingsId
string
required
encodedMonitoredFolder
string
required
connectorId
string
required
encodedFolder
string
required

Response

successful operation

files
object[]
currentFolder
string
encodedCurrentFolder
string
rootFolder
boolean